View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001356aMuleMiscpublic2008-07-08 18:142008-07-11 11:37
ReporterXi0N 
Assigned Tophoenix 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0001356: Error on init - amuled crash (w/backtrace)
DescriptionI compiled libupnp with debug information enabled and amule with debug as well.
in the additional information i attach all the backtrace.
the program just fails to start completely, maybe because of some error with upnp (i dont really know)
Additional Informationbigboss@OuterHeaven:~$ gdb amuled
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
(gdb) run
Starting program: /usr/bin/amuled
[Thread debugging using libthread_db enabled]
[New Thread 0xb766a6c0 (LWP 4596)]
amuled: OnInit - starting timer
Initialising aMule
Checking if there is an instance already running...
No other instances are running.
[New Thread 0xb752fb90 (LWP 4601)]
HTTP download thread started
Host: amule.sourceforge.net:80
URL: http://amule.sourceforge.net/lastversion [^]
Response: 200 (Error: 0)
Download size: 6
HTTP download thread ended
[Thread 0xb752fb90 (LWP 4601) exited]
ListenSocket: Ok.
[New Thread 0xb752fb90 (LWP 4602)]
[New Thread 0xb6bffb90 (LWP 4603)]
[New Thread 0xb63ffb90 (LWP 4604)]
[New Thread 0xb5bffb90 (LWP 4605)]
[New Thread 0xb53ffb90 (LWP 4606)]
[New Thread 0xb4bffb90 (LWP 4607)]
[New Thread 0xb43ffb90 (LWP 4608)]
[New Thread 0xb3bffb90 (LWP 4609)]
resp status = 200, version = 1.1, status msg = OK
hdr name: Server, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: Connection, value: close
hdr name: Content-Type, value: text/xml
hdr name: Expires, value: Thu, 01 Jan 1970 00:00:00 GMT
hdr name: Cache-Control, value: no-cache
hdr name: Pragma, value: no-cache
resp status = 200, version = 1.1, status msg = OK
hdr name: Server, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: Connection, value: close
hdr name: Content-Type, value: text/xml
hdr name: Expires, value: Thu, 01 Jan 1970 00:00:00 GMT
hdr name: Cache-Control, value: no-cache
hdr name: Pragma, value: no-cache
resp status = 200, version = 1.1, status msg = OK
hdr name: Server, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: Connection, value: close
hdr name: Content-Type, value: text/xml
hdr name: Expires, value: Thu, 01 Jan 1970 00:00:00 GMT
hdr name: Cache-Control, value: no-cache
hdr name: Pragma, value: no-cache
resp status = 200, version = 1.1, status msg = OK
hdr name: Server, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: Connection, value: close
hdr name: Content-Type, value: text/xml
hdr name: Expires, value: Thu, 01 Jan 1970 00:00:00 GMT
hdr name: Cache-Control, value: no-cache
hdr name: Pragma, value: no-cache
resp status = 200, version = 1.1, status msg = OK
hdr name: Server, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: SID, value: uuid:b90f3ee8-76df-9238-37bf-fd1e49661086
hdr name: TIMEOUT, value: Second-600
hdr name: Content-Length, value: 0
method = 4, version = 1.1, url = /
hdr name: User-Agent, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: Host, value: 192.168.1.100:50000
hdr name: NT, value: upnp:event
hdr name: NTS, value: upnp:propchange
hdr name: SID, value: uuid:b90f3ee8-76df-9238-37bf-fd1e49661086
hdr name: SEQ, value: 0
hdr name: Connection, value: Keep-Alive
hdr name: Content-Length, value: 392
hdr name: Content-Type, value: text/xml
resp status = 200, version = 1.1, status msg = OK
hdr name: Server, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: Connection, value: close
hdr name: Content-Length, value: 15479
hdr name: Content-Type, value: text/xml
hdr name: ETag, value: "gNa2L"
hdr name: Last-Modified, value: Thu, 01 Jan 1970 00:00:00 GMT
hdr name: Cache-Control, value: max-age=3600, public
resp status = 200, version = 1.1, status msg = OK
hdr name: Server, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: Connection, value: close
hdr name: Content-Length, value: 15479
hdr name: Content-Type, value: text/xml
hdr name: ETag, value: "gNa2L"
hdr name: Last-Modified, value: Thu, 01 Jan 1970 00:00:00 GMT
hdr name: Cache-Control, value: max-age=3600, public
resp status = 200, version = 1.1, status msg = OK
hdr name: Server, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: SID, value: uuid:f29d8d49-0006-a2a1-37d6-6b83448291cb
hdr name: TIMEOUT, value: Second-600
hdr name: Content-Length, value: 0
resp status = 500, version = 1.1, status msg = Internal Error
hdr name: Server, value: Unknown/0.0 UPnP/1.0 Conexant-EmWeb/R6_1_0
hdr name: Transfer-Encoding, value: chunked
hdr name: Content-Type, value: text/xml; charset=utf-8
hdr name: Expires, value: Thu, 01 Jan 1970 00:00:00 GMT
hdr name: Cache-Control, value: no-cache
/usr/include/c++/4.2/memory:285: _Tp* std::auto_ptr<_Tp>::operator->() const [with _Tp = CUPnPSCPD]: Assertion '_M_ptr != 0' failed.

Program received signal SIGABRT, Aborted.
[Switching to Thread 0xb766a6c0 (LWP 4596)]
0xb769b1b6 in raise () from /lib/libc.so.6







bt =====================================================================

(gdb) bt
#0 0xb769b1b6 in raise () from /lib/libc.so.6
0000001 0xb769ca31 in abort () from /lib/libc.so.6
0000002 0x0808a82b in std::__debug::__replacement_assert (
    __file=0x837b8b9 "/usr/include/c++/4.2/memory", __line=285,
    __function=0x837ce00 "_Tp* std::auto_ptr<_Tp>::operator->() const [with _Tp = CUPnPSCPD]", __condition=0x837b8ad "_M_ptr != 0")
    at /usr/include/c++/4.2/debug/debug.h:99
0000003 0x0824f50d in std::auto_ptr<CUPnPSCPD>::operator-> (this=0x88d7f80)
    at /usr/include/c++/4.2/memory:285
0000004 0x0823c36a in CUPnPService::Execute (this=0x88d7f28,
    ActionName=@0xbf8356bc, ArgValue=@0xbf835644) at UPnPBase.cpp:575
0000005 0x0823ec8d in CUPnPControlPoint::PrivateAddPortMapping (this=0x88a1e60,
    upnpPortMapping=@0x8640f80) at UPnPBase.cpp:1049
0000006 0x08240756 in CUPnPControlPoint::AddPortMappings (this=0x88a1e60,
    upnpPortMapping=@0x8640dd0) at UPnPBase.cpp:951
0000007 0x08082a62 in CamuleApp::ReinitializeNetwork (this=0x8640d48,
    msg=0xbf835e30) at amule.cpp:1014
0000008 0x08085ffc in CamuleApp::OnInit (this=0x8640d48) at amule.cpp:734
0000009 0x08072c08 in CamuleDaemonApp::OnInit (this=0x8640d48) at amuled.cpp:663
0000010 0x08074b4c in wxAppConsole::CallOnInit (this=0x8640d48)
    at /usr/include/wx-2.8/wx/app.h:76
#11 0xb794e030 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0
0000012 0xb794e107 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0
---Type <return> to continue, or q <return> to quit---
0000013 0x08074832 in main (argc=Cannot access memory at address 0x11f4
) at amuled.cpp:156

bt full ====================================================================

(gdb) bt full
#0 0xb769b1b6 in raise () from /lib/libc.so.6
No symbol table info available.
0000001 0xb769ca31 in abort () from /lib/libc.so.6
No symbol table info available.
0000002 0x0808a82b in std::__debug::__replacement_assert (
    __file=0x837b8b9 "/usr/include/c++/4.2/memory", __line=285,
    __function=0x837ce00 "_Tp* std::auto_ptr<_Tp>::operator->() const [with _Tp = CUPnPSCPD]", __condition=0x837b8ad "_M_ptr != 0")
    at /usr/include/c++/4.2/debug/debug.h:99
No locals.
0000003 0x0824f50d in std::auto_ptr<CUPnPSCPD>::operator-> (this=0x88d7f80)
    at /usr/include/c++/4.2/memory:285
        __PRETTY_FUNCTION__ = "_Tp* std::auto_ptr<_Tp>::operator->() const [with _Tp = CUPnPSCPD]"
0000004 0x0823c36a in CUPnPService::Execute (this=0x88d7f28,
    ActionName=@0xbf8356bc, ArgValue=@0xbf835644) at UPnPBase.cpp:575
        msg = {<std::basic_ostream<char,std::char_traits<char> >> = {<std::basic_ios<char,std::char_traits<char> >> = {<> = {<No data fields>}, _M_tie = 0x0,
      _M_fill = 0 '\0', _M_fill_init = false, _M_streambuf = 0xbf835430,
      _M_ctype = 0xb78c7800, _M_num_put = 0xb78c7a40,
      _M_num_get = 0xb78c7a38}, _vptr.basic_ostream = 0x835e7ec},
  _M_stringbuf = {<std::basic_streambuf<char,std::char_traits<char> >> = {
      _vptr.basic_streambuf = 0x835e968, _M_in_beg = 0x0, _M_in_cur = 0x0,
---Type <return> to continue, or q <return> to quit---
      _M_in_end = 0x0, _M_out_beg = 0x0, _M_out_cur = 0x0, _M_out_end = 0x0,
      _M_buf_locale = {static none = 0, static ctype = 1, static numeric = 2,
        static collate = 4, static time = 8, static monetary = 16,
        static messages = 32, static all = 63, _M_impl = 0xb78c7684,
        static _S_classic = <optimized out>,
        static _S_global = <optimized out>,
        static _S_categories = <optimized out>,
        static _S_once = <optimized out>}}, _M_mode = std::_S_out,
    _M_string = {static npos = 4294967295,
      _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>}, _M_p = 0x843a49c ""}}}}
        msgAction = {<std::basic_ostream<char,std::char_traits<char> >> = {<std::basic_ios<char,std::char_traits<char> >> = {<> = {<No data fields>},
      _M_tie = 0x0, _M_fill = 0 '\0', _M_fill_init = false,
      _M_streambuf = 0xbf83537c, _M_ctype = 0xb78c7800,
      _M_num_put = 0xb78c7a40, _M_num_get = 0xb78c7a38},
    _vptr.basic_ostream = 0x835e7ec},
  _M_stringbuf = {<std::basic_streambuf<char,std::char_traits<char> >> = {
      _vptr.basic_streambuf = 0x835e968, _M_in_beg = 0x9417aab "",
      _M_in_cur = 0x9417aab "", _M_in_end = 0x9417aab "",
      _M_out_beg = 0x9417a9c "Sending action ",
      _M_out_cur = 0x9417a9c "Sending action ", _M_out_end = 0x9417aab "",
      _M_buf_locale = {static none = 0, static ctype = 1, static numeric = 2,
---Type <return> to continue, or q <return> to quit---
        static collate = 4, static time = 8, static monetary = 16,
        static messages = 32, static all = 63, _M_impl = 0xb78c7684,
        static _S_classic = <optimized out>,
        static _S_global = <optimized out>,
        static _S_categories = <optimized out>,
        static _S_once = <optimized out>}}, _M_mode = std::_S_out,
    _M_string = {static npos = 4294967295,
      _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>}, _M_p = 0x9417a9c "Sending action "}}}}
        itAction = {<__gnu_debug::_Safe_iterator_base> = {
    _M_sequence = 0x808b23e, _M_version = 155274088, _M_prior = 0xb7fb063c,
    _M_next = 0xbf835598}, _M_current = {_M_node = 0x8242f7a}}
        firstTime = 131
        action = (const CUPnPAction &) @0x807680f: {
  m_UPnPControlPoint = @0x5590c3c9,
  m_ArgumentList = {<std::__debug::map<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >,CUPnPArgument*,std::less<const std::basic_string<char, std::char_traits<char>, std::allocator<char> > >,std::allocator<std::pair<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >, CUPnPArgument*> > >> = {<std::__norm::map<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >,CUPnPArgument*,std::less<const std::basic_string<char, std::char_traits<char>, std::allocator<char> > >,std::allocator<std::pair<const std::basic_string<char, std::char_traits<char>, std::allocator<---Type <return> to continue, or q <return> to quit---
char> >, CUPnPArgument*> > >> = {_M_t = {
          _M_impl = {<std::allocator<std::_Rb_tree_node<std::pair<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >, CUPnPArgument*> > >> = {<__gnu_cxx::new_allocator<std::_Rb_tree_node<std::pair<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >, CUPnPArgument*> > >> = {<No data fields>}, <No data fields>},
            _M_key_compare = {<std::binary_function<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >,const std::basic_string<char, std::char_traits<char>, std::allocator<char> >,bool>> = {<No data fields>}, <No data fields>}, _M_header = {_M_color = 138775304, _M_parent = 0xe8240489,
              _M_left = 0xffffffdb, _M_right = 0x5590c3c9},
            _M_node_count = 2203313545}}}, <__gnu_debug::_Safe_sequence<std::__debug::map<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >, CUPnPArgument*, std::less<const std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >, CUPnPArgument*> > > >> = {<__gnu_debug::_Safe_sequence_base> = {_M_iterators = 0x458b44ec,
          _M_const_iterators = 0x85008b08,
          _M_version = 2332914880}, <No data fields>}, <No data fields>}, <No data fields>}, m_name = {static npos = 4294967295,
    _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>},
      _M_p = 0x8b0845 <Address 0x8b0845 out of bounds>}}}
---Type <return> to continue, or q <return> to quit---
        ActionDoc = (IXML_Document *) 0x88a1e8c
        RespDoc = (IXML_Document *) 0xb78c5ff4
        ret = -1081911912
0000005 0x0823ec8d in CUPnPControlPoint::PrivateAddPortMapping (this=0x88a1e60,
    upnpPortMapping=@0x8640f80) at UPnPBase.cpp:1049
        it = {<__gnu_debug::_Safe_iterator_base> = {_M_sequence = 0x88a1ea4,
    _M_version = 1, _M_prior = 0x0, _M_next = 0x0}, _M_current = {
    _M_node = 0x93bffd0}}
        ipAddress = {static npos = 4294967295,
  _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>}, _M_p = 0x940c6dc "192.168.1.100"}}
        actionName = {static npos = 4294967295,
  _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>}, _M_p = 0x9408464 "AddPortMapping"}}
        argval = {<std::__norm::vector<CUPnPArgumentValue,std::allocator<CUPnPArgumentValue> >> = {<std::__norm::_Vector_base<CUPnPArgumentValue,std::allocator<CUPnPArgumentValue> >> = {
      _M_impl = {<std::allocator<CUPnPArgumentValue>> = {<__gnu_cxx::new_allocator<CUPnPArgumentValue>> = {<No data fields>}, <No data fields>},
        _M_start = 0x8b48250, _M_finish = 0x8b48290,
        _M_end_of_storage = 0x8b48290}}, <No data fields>}, <__gnu_debug::_Safe_sequence<std::__debug::vector<CUPnPArgumentValue, std::allocator<CUPnPArgumentValue> > >> = {<__gnu_debug::_Safe_sequence_base> = {_M_iterators = 0x0,
---Type <return> to continue, or q <return> to quit---
      _M_const_iterators = 0x0, _M_version = 1}, <No data fields>},
  _M_guaranteed_capacity = 8}
        ret = true
0000006 0x08240756 in CUPnPControlPoint::AddPortMappings (this=0x88a1e60,
    upnpPortMapping=@0x8640dd0) at UPnPBase.cpp:951
        i = 0
        msg = {<std::basic_ostream<char,std::char_traits<char> >> = {<std::basic_ios<char,std::char_traits<char> >> = {<> = {<No data fields>}, _M_tie = 0x0,
      _M_fill = 0 '\0', _M_fill_init = false, _M_streambuf = 0xbf8357d0,
      _M_ctype = 0xb78c7800, _M_num_put = 0xb78c7a40,
      _M_num_get = 0xb78c7a38}, _vptr.basic_ostream = 0x835e7ec},
  _M_stringbuf = {<std::basic_streambuf<char,std::char_traits<char> >> = {
      _vptr.basic_streambuf = 0x835e968, _M_in_beg = 0x0, _M_in_cur = 0x0,
      _M_in_end = 0x0, _M_out_beg = 0x0, _M_out_cur = 0x0, _M_out_end = 0x0,
      _M_buf_locale = {static none = 0, static ctype = 1, static numeric = 2,
        static collate = 4, static time = 8, static monetary = 16,
        static messages = 32, static all = 63, _M_impl = 0xb78c7684,
        static _S_classic = <optimized out>,
        static _S_global = <optimized out>,
        static _S_categories = <optimized out>,
        static _S_once = <optimized out>}}, _M_mode = std::_S_out,
    _M_string = {static npos = 4294967295,
      _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> ---Type <return> to continue, or q <return> to quit---
= {<No data fields>}, <No data fields>}, _M_p = 0x843a49c ""}}}}
        n = 4
        ok = false
        PortMappingNumberOfEntries = {<std::basic_istream<char,std::char_traits<char> >> = {<std::basic_ios<char,std::char_traits<char> >> = {<> = {<No data fields>}, _M_tie = 0x0, _M_fill = 0 '\0', _M_fill_init = false,
      _M_streambuf = 0xbf83571c, _M_ctype = 0xb78c7800,
      _M_num_put = 0xb78c7a40, _M_num_get = 0xb78c7a38},
    _vptr.basic_istream = 0x837ddac, _M_gcount = 0},
  _M_stringbuf = {<std::basic_streambuf<char,std::char_traits<char> >> = {
      _vptr.basic_streambuf = 0x835e968, _M_in_beg = 0x843a49c "",
      _M_in_cur = 0x843a49c "", _M_in_end = 0x843a49c "", _M_out_beg = 0x0,
      _M_out_cur = 0x0, _M_out_end = 0x0, _M_buf_locale = {static none = 0,
        static ctype = 1, static numeric = 2, static collate = 4,
        static time = 8, static monetary = 16, static messages = 32,
        static all = 63, _M_impl = 0xb78c7684,
        static _S_classic = <optimized out>,
        static _S_global = <optimized out>,
        static _S_categories = <optimized out>,
        static _S_once = <optimized out>}}, _M_mode = std::_S_in, _M_string = {
      static npos = 4294967295,
      _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>}, _M_p = 0x843a49c ""}}}}
---Type <return> to continue, or q <return> to quit---
        oldNumberOfEntries = 143269600
        argval = {<std::__norm::vector<CUPnPArgumentValue,std::allocator<CUPnPArgumentValue> >> = {<std::__norm::_Vector_base<CUPnPArgumentValue,std::allocator<CUPnPArgumentValue> >> = {
      _M_impl = {<std::allocator<CUPnPArgumentValue>> = {<__gnu_cxx::new_allocator<CUPnPArgumentValue>> = {<No data fields>}, <No data fields>},
        _M_start = 0xb71b1bc, _M_finish = 0xb78c3298,
        _M_end_of_storage = 0x6}}, <No data fields>}, <__gnu_debug::_Safe_sequence<std::__debug::vector<CUPnPArgumentValue, std::allocator<CUPnPArgumentValue> > >> = {<__gnu_debug::_Safe_sequence_base> = {_M_iterators = 0x0,
      _M_const_iterators = 0x1002, _M_version = 0}, <No data fields>},
  _M_guaranteed_capacity = 0}
        newNumberOfEntries = 0
0000007 0x08082a62 in CamuleApp::ReinitializeNetwork (this=0x8640d48,
    msg=0xbf835e30) at amule.cpp:1014
        ok = true
        myaddr = {{<> = {<No data fields>}, <No data fields>},
  {<> = {<No data fields>}, <No data fields>},
  {<> = {<No data fields>}, <No data fields>},
  {<> = {<No data fields>}, <No data fields>}}
        ip = {<wxStringBase> = {static npos = 4294967295,
    m_pchData = 0x8895fcc}, <No data fields>}
        firstTime = false
---Type <return> to continue, or q <return> to quit---
0000008 0x08085ffc in CamuleApp::OnInit (this=0x8640d48) at amule.cpp:734
        FullMuleVersion = {<wxStringBase> = {static npos = 4294967295,
    m_pchData = 0x8647cf4}, <No data fields>}
        OSDescription = {<wxStringBase> = {static npos = 4294967295,
    m_pchData = 0x8648044}, <No data fields>}
        cmdline = {m_data = 0x8647e98}
        ec_config = false
        reset_config = false
        geometry_enabled = false
        geom_string = {<wxStringBase> = {static npos = 4294967295,
    m_pchData = 0xb79dbb98}, <No data fields>}
        cfg = (struct wxConfigBase *) 0x8649e80
        logfileName = {<CPrintable> = {_vptr.CPrintable = 0x83999b0},
  m_printable = {<wxStringBase> = {static npos = 4294967295,
      m_pchData = 0x8655bfc}, <No data fields>},
  m_filesystem = {<wxStringBase> = {static npos = 4294967295,
      m_pchData = 0x8655ae4}, <No data fields>}}
        checkResult = {first = true, second = {<CPrintable> = {
      _vptr.CPrintable = 0x83999b0}, m_printable = {<wxStringBase> = {
        static npos = 4294967295, m_pchData = 0x866d9a4}, <No data fields>},
    m_filesystem = {<wxStringBase> = {static npos = 4294967295,
        m_pchData = 0x866dc3c}, <No data fields>}}}
        vfile = <incomplete type>
---Type <return> to continue, or q <return> to quit---
        newMule = {<wxStringBase> = {static npos = 4294967295,
    m_pchData = 0x86800bc}, <No data fields>}
        langId = {<wxStringBase> = {static npos = 4294967295,
    m_pchData = 0xb79dbb98}, <No data fields>}
        msg = {<wxStringBase> = {static npos = 4294967295,
    m_pchData = 0x888e95c}, <No data fields>}
0000009 0x08072c08 in CamuleDaemonApp::OnInit (this=0x8640d48) at amuled.cpp:663
No locals.
0000010 0x08074b4c in wxAppConsole::CallOnInit (this=0x8640d48)
    at /usr/include/wx-2.8/wx/app.h:76
No locals.
#11 0xb794e030 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0
No symbol table info available.
0000012 0xb794e107 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0
No symbol table info available.
0000013 0x08074832 in main (argc=Cannot access memory at address 0x11f4
) at amuled.cpp:156
No locals.


thread apply all bt ==========================================================================

(gdb) thread apply all bt

Thread 10 (Thread 0xb3bffb90 (LWP 4609)):
#0 0xb772fe77 in select () from /lib/libc.so.6
0000001 0xb7a81c6c in sock_read_write (info=0xb3bff258, buffer=0xb3bfea20 "",
    bufsize=2048, timeoutSecs=0xb3bff26c, bRead=1 '\001')
    at src/genlib/net/sock.c:218
0000002 0xb7a81db6 in sock_read (info=0xb3bff258, buffer=0xb3bfea20 "",
    bufsize=2048, timeoutSecs=0xb3bff26c) at src/genlib/net/sock.c:307
0000003 0xb7a84b9d in http_RecvMessage (info=0xb3bff258, parser=0xb3bff284,
    request_method=HTTPMETHOD_UNKNOWN, timeout_secs=0xb3bff26c,
    http_error_code=0xb3bff280) at src/genlib/net/http/httpreadwrite.c:237
0000004 0xb7a7dd54 in handle_request (args=0x93c1cf0)
    at src/genlib/miniserver/miniserver.c:282
0000005 0xb7a6cfc8 in WorkerThread (arg=0xb7aa5780) at src/ThreadPool.c:573
0000006 0xb7facfda in start_thread () from /lib/libpthread.so.0
0000007 0x00000002 in ?? ()
0000008 0x00000000 in ?? ()

Thread 9 (Thread 0xb43ffb90 (LWP 4608)):
#0 0xb7fb18a8 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
0000001 0xb7a6cce4 in WorkerThread (arg=0xb7aa5a80) at src/ThreadPool.c:499
0000002 0xb7facfda in start_thread () from /lib/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
0000003 0x00000002 in ?? ()
0000004 0x00000000 in ?? ()

Thread 8 (Thread 0xb4bffb90 (LWP 4607)):
#0 0xb7fb18a8 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
0000001 0xb7a6cce4 in WorkerThread (arg=0xb7aa5780) at src/ThreadPool.c:499
0000002 0xb7facfda in start_thread () from /lib/libpthread.so.0
0000003 0x00000002 in ?? ()
0000004 0x00000000 in ?? ()

Thread 7 (Thread 0xb53ffb90 (LWP 4606)):
#0 0xb772fe77 in select () from /lib/libc.so.6
0000001 0xb7a7e1a3 in RunMiniServer (miniSock=0x88a3948)
    at src/genlib/miniserver/miniserver.c:420
0000002 0xb7a6cfc8 in WorkerThread (arg=0xb7aa5780) at src/ThreadPool.c:573
0000003 0xb7facfda in start_thread () from /lib/libpthread.so.0
0000004 0x00000002 in ?? ()
0000005 0x00000000 in ?? ()

Thread 6 (Thread 0xb5bffb90 (LWP 4605)):
#0 0xb772fe77 in select () from /lib/libc.so.6
0000001 0xb7a81c6c in sock_read_write (info=0xb5bfe3fc, buffer=0xb5bfdbc0 "L",
---Type <return> to continue, or q <return> to quit---
    bufsize=2048, timeoutSecs=0xb5bfe430, bRead=1 '\001')
    at src/genlib/net/sock.c:218
0000002 0xb7a81db6 in sock_read (info=0xb5bfe3fc, buffer=0xb5bfdbc0 "L",
    bufsize=2048, timeoutSecs=0xb5bfe430) at src/genlib/net/sock.c:307
0000003 0xb7a84b9d in http_RecvMessage (info=0xb5bfe3fc, parser=0xb5bfe4fc,
    request_method=HTTPMETHOD_GET, timeout_secs=0xb5bfe430,
    http_error_code=0xb5bfe408) at src/genlib/net/http/httpreadwrite.c:237
0000004 0xb7a855cd in http_RequestAndResponse (destination=0xb5bfe5d8,
    request=0x891a108 "GET /WANCommonInterfaceConfig.xml HTTP/1.1\r\nHOST: 192.168.1.1:2800\r\nDATE: Tue, 08 Jul 2008 15:57:00 GMT\r\nCONNECTION: close\r\nUSER-AGENT: Linux/2.6.24-19-generic, UPnP/1.0, Portable SDK for UPnP devices"...,
    request_length=210, req_method=HTTPMETHOD_GET, timeout_secs=30,
    response=0xb5bfe4fc) at src/genlib/net/http/httpreadwrite.c:554
0000005 0xb7a85930 in http_Download (
    url_str=0x8aa6d74 "http://192.168.1.1:2800/WANCommonInterfaceConfig.xml", [^]
    timeout_secs=30, document=0xb5bfe684, doc_length=0xb5bfe64c,
    content_type=0xb5bfe68c "\021\033\211·\b\203\211\b\b\203\211\b¨æ¿µ\221\233\a\bd¢m·\a翵Ø濵\205\235\a\bÓ濵`qz·X\230\215\b`")
    at src/genlib/net/http/httpreadwrite.c:648
0000006 0xb7a9acf7 in UpnpDownloadUrlItem (
    url=0x8aa6d74 "http://192.168.1.1:2800/WANCommonInterfaceConfig.xml", [^]
    outBuf=0xb5bfe684,
    contentType=0xb5bfe68c "\021\033\211·\b\203\211\b\b\203\211\b¨æ¿µ\221\233\a\---Type <return> to continue, or q <return> to quit---
bd¢m·\a翵Ø濵\205\235\a\bÓ濵`qz·X\230\215\b`") at src/api/upnpapi.c:3249
0000007 0xb7a9ad8b in UpnpDownloadXmlDoc (
    url=0x8aa6d74 "http://192.168.1.1:2800/WANCommonInterfaceConfig.xml", [^]
    xmlDoc=0xb5bfe860) at src/api/upnpapi.c:3281
0000008 0x08237541 in CUPnPControlPoint::Subscribe (this=0x88a1e60,
    service=@0x88d7f28) at UPnPBase.cpp:1516
0000009 0x082383fa in CUPnPService (this=0x88d7f28, upnpControlPoint=@0x88a1e60,
    upnpLib=@0x88a1e60, service=0x891c7e8, URLBase=@0xb5bff038)
    at UPnPBase.cpp:542
0000010 0x0825761f in CXML_List (this=0x8895628, upnpControlPoint=@0x88a1e60,
    upnpLib=@0x88a1e60, parent=0x88e2d18, url=@0xb5bff038) at UPnPBase.h:186
#11 0x082387b8 in CUPnPDevice (this=0x8895600, upnpControlPoint=@0x88a1e60,
    upnpLib=@0x88a1e60, device=0x88e2d18, URLBase=@0xb5bff038)
    at UPnPBase.cpp:761
0000012 0x082578cf in CXML_List (this=0x8959d44, upnpControlPoint=@0x88a1e60,
    upnpLib=@0x88a1e60, parent=0x8899668, url=@0xb5bff038) at UPnPBase.h:186
0000013 0x08239184 in CUPnPDevice (this=0x8959d40, upnpControlPoint=@0x88a1e60,
    upnpLib=@0x88a1e60, device=0x8899668, URLBase=@0xb5bff038)
    at UPnPBase.cpp:761
0000014 0x08239b6f in CUPnPRootDevice (this=0x8959d40,
    upnpControlPoint=@0x88a1e60, upnpLib=@0x88a1e60, rootDevice=0x8899668,
    OriginalURLBase=@0xb5bff03c, FixedURLBase=@0xb5bff038,
    location=0xc5d0958 "http://192.168.1.1:2800/InternetGatewayDevice.xml", [^]
---Type <return> to continue, or q <return> to quit---
    expires=1830) at UPnPBase.cpp:812
0000015 0x08239fb3 in CUPnPControlPoint::AddRootDevice (this=0x88a1e60,
    rootDevice=0x8899668, urlBase=@0xb5bff2d4,
    location=0xc5d0958 "http://192.168.1.1:2800/InternetGatewayDevice.xml", [^]
    expires=1830) at UPnPBase.cpp:1479
0000016 0x0823f53d in CUPnPControlPoint::Callback (
    EventType=UPNP_DISCOVERY_SEARCH_RESULT, Event=0xc5d0680)
    at UPnPBase.cpp:1218
0000017 0xb7a77396 in send_search_result (data=0xc5d0680)
    at src/ssdp/ssdp_ctrlpt.c:73
0000018 0xb7a6cfc8 in WorkerThread (arg=0xb7aa5520) at src/ThreadPool.c:573
0000019 0xb7facfda in start_thread () from /lib/libpthread.so.0
0000020 0x00000002 in ?? ()
0000021 0x00000000 in ?? ()

Thread 5 (Thread 0xb63ffb90 (LWP 4604)):
#0 0xb7fb3d94 in __lll_lock_wait () from /lib/libpthread.so.0
0000001 0xb7faf7f8 in _L_lock_95 () from /lib/libpthread.so.0
0000002 0xb7faf1ea in pthread_mutex_lock () from /lib/libpthread.so.0
0000003 0xb79b6ded in wxMutexInternal::Lock () from /usr/lib/libwx_baseu-2.8.so.0
0000004 0xb79b6e38 in wxMutex::Lock () from /usr/lib/libwx_baseu-2.8.so.0
0000005 0x0807875b in wxMutexLocker (this=0xb63ff028, mutex=@0x88a1ed4)
    at /usr/include/wx-2.8/wx/thread.h:176
---Type <return> to continue, or q <return> to quit---
0000006 0x08239e11 in CUPnPControlPoint::AddRootDevice (this=0x88a1e60,
    rootDevice=0x897e280, urlBase=@0xb63ff2d4,
    location=0xc5cff90 "http://192.168.1.1:2800/InternetGatewayDevice.xml", [^]
    expires=1830) at UPnPBase.cpp:1458
0000007 0x0823f53d in CUPnPControlPoint::Callback (
    EventType=UPNP_DISCOVERY_SEARCH_RESULT, Event=0xc5cfcb8)
    at UPnPBase.cpp:1218
0000008 0xb7a77396 in send_search_result (data=0xc5cfcb8)
    at src/ssdp/ssdp_ctrlpt.c:73
0000009 0xb7a6cfc8 in WorkerThread (arg=0xb7aa5520) at src/ThreadPool.c:573
0000010 0xb7facfda in start_thread () from /lib/libpthread.so.0
#11 0x00000002 in ?? ()
0000012 0x00000000 in ?? ()

Thread 4 (Thread 0xb6bffb90 (LWP 4603)):
#0 0xb7fb18a8 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
0000001 0xb7a6ef1c in TimerThreadWorker (arg=0xb7aa56e0) at src/TimerThread.c:137
0000002 0xb7a6cfc8 in WorkerThread (arg=0xb7aa5a80) at src/ThreadPool.c:573
0000003 0xb7facfda in start_thread () from /lib/libpthread.so.0
0000004 0x00000002 in ?? ()
0000005 0x00000000 in ?? ()

---Type <return> to continue, or q <return> to quit---
Thread 3 (Thread 0xb752fb90 (LWP 4602)):
#0 0xb7fb18a8 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
0000001 0xb7a6cce4 in WorkerThread (arg=0xb7aa5a80) at src/ThreadPool.c:499
0000002 0xb7facfda in start_thread () from /lib/libpthread.so.0
0000003 0x00000002 in ?? ()
0000004 0x00000000 in ?? ()

Thread 1 (Thread 0xb766a6c0 (LWP 4596)):
#0 0xb769b1b6 in raise () from /lib/libc.so.6
0000001 0xb769ca31 in abort () from /lib/libc.so.6
0000002 0x0808a82b in std::__debug::__replacement_assert (
    __file=0x837b8b9 "/usr/include/c++/4.2/memory", __line=285,
    __function=0x837ce00 "_Tp* std::auto_ptr<_Tp>::operator->() const [with _Tp = CUPnPSCPD]", __condition=0x837b8ad "_M_ptr != 0")
    at /usr/include/c++/4.2/debug/debug.h:99
0000003 0x0824f50d in std::auto_ptr<CUPnPSCPD>::operator-> (this=0x88d7f80)
    at /usr/include/c++/4.2/memory:285
0000004 0x0823c36a in CUPnPService::Execute (this=0x88d7f28,
    ActionName=@0xbf8356bc, ArgValue=@0xbf835644) at UPnPBase.cpp:575
0000005 0x0823ec8d in CUPnPControlPoint::PrivateAddPortMapping (this=0x88a1e60,
    upnpPortMapping=@0x8640f80) at UPnPBase.cpp:1049
0000006 0x08240756 in CUPnPControlPoint::AddPortMappings (this=0x88a1e60,
---Type <return> to continue, or q <return> to quit---
    upnpPortMapping=@0x8640dd0) at UPnPBase.cpp:951
0000007 0x08082a62 in CamuleApp::ReinitializeNetwork (this=0x8640d48,
    msg=0xbf835e30) at amule.cpp:1014
0000008 0x08085ffc in CamuleApp::OnInit (this=0x8640d48) at amule.cpp:734
0000009 0x08072c08 in CamuleDaemonApp::OnInit (this=0x8640d48) at amuled.cpp:663
0000010 0x08074b4c in wxAppConsole::CallOnInit (this=0x8640d48)
    at /usr/include/wx-2.8/wx/app.h:76
#11 0xb794e030 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0
0000012 0xb794e107 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0
0000013 0x08074832 in main (argc=Cannot access memory at address 0x11f4
) at amuled.cpp:156

TagsNo tags attached.
Fixed in Revision
Operating SystemLINUX Ubuntu Server 8.04
Attached Files

- Relationships
duplicate of 0001346resolvedphoenix Some problem with UPnP 

-  Notes
(0002871)
Xi0N (reporter)
2008-07-10 15:29

Error fixed.

Thanks!

- Issue History
Date Modified Username Field Change
2008-07-08 18:14 Xi0N New Issue
2008-07-08 18:14 Xi0N Operating System => LINUX Ubuntu Server 8.04
2008-07-10 15:29 Xi0N Note Added: 0002871
2008-07-11 11:37 GonoszTopi Relationship added duplicate of 0001346
2008-07-11 11:37 GonoszTopi Assigned To => phoenix
2008-07-11 11:37 GonoszTopi Status new => resolved
2008-07-11 11:37 GonoszTopi Resolution open => fixed
2008-07-11 11:37 GonoszTopi Product Version 2.2.1 => SVN


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker